import * as apigv2 from "../../aws-apigatewayv2";
import * as route53 from "../../aws-route53";
/**
 * (experimental) Defines an API Gateway V2 domain name as the alias target.
 *
 * @experimental
 */
export declare class ApiGatewayv2Domain implements route53.IAliasRecordTarget {
    private readonly domainName;
    /**
     * @experimental
     */
    constructor(domainName: apigv2.IDomainName);
    /**
     * (experimental) Return hosted zone ID and DNS name, usable for Route53 alias targets.
     *
     * @experimental
     */
    bind(_record: route53.IRecordSet): route53.AliasRecordTargetConfig;
}
