import { IgnoreMode } from "../../../core";
import { FollowMode } from './follow-mode';
/**
 * (deprecated) Obtains applied when copying directories into the staging location.
 *
 * @deprecated see `core.CopyOptions`
 */
export interface CopyOptions {
    /**
     * (deprecated) A strategy for how to handle symlinks.
     *
     * @default Never
     * @deprecated
     */
    readonly follow?: FollowMode;
    /**
     * (deprecated) Glob patterns to exclude from the copy.
     *
     * @default nothing is excluded
     * @deprecated
     */
    readonly exclude?: string[];
    /**
     * (deprecated) The ignore behavior to use for exclude patterns.
     *
     * @default - GLOB for file assets, DOCKER or GLOB for docker assets depending on whether the
     * '
     * @deprecated
     * @aws-cdk /aws-ecr-assets:dockerIgnoreSupport' flag is set.
     */
    readonly ignoreMode?: IgnoreMode;
}
/**
 * (deprecated) Options related to calculating source hash.
 *
 * @deprecated see `core.FingerprintOptions`
 */
export interface FingerprintOptions extends CopyOptions {
    /**
     * (deprecated) Extra information to encode into the fingerprint (e.g. build instructions and other inputs).
     *
     * @default - hash is only based on source content
     * @deprecated
     */
    readonly extraHash?: string;
}
